<?php

use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

//Route::get('/', function () {
//    return view('welcome');
//});

Route::get('/hello', function () {
    return "<h1>Hello World</h1>";
});

Route::get('/', function () {
    return view('welcome');
});

Route::group(['prefix' => 'admin'], function () {
    Route::group(['prefix' => 'user'], function () {
        Route::get('/', [UserController::class, 'actionIndex']);
        Route::get('/page/{page_number}', [UserController::class, 'actionIndex']);
        Route::get('/view/{id}', [UserController::class, 'actionView']);
        Route::get('/create', [UserController::class, 'actionCreate']);
        Route::post('/store', [UserController::class, 'actionStore']);
        Route::get('/update/{id}', [UserController::class, 'actionUpdate']);
        Route::post('/edit/{id}', [UserController::class, 'actionEdit']);
        Route::get('/delete/{id}', [UserController::class, 'actionDelete']);
    });
});


